@ECHO OFF
SET /P clientcnt=Number of test clients to create (%clientcnt%):
SET /P runtime=Number of seconds to run test (%runtime%):
SET /P sleeptime=Number of milliseconds to pause between requests (%sleeptime%):
SET /P applyfix=Apply TempFolder fix (%applyfix%)?
SET /A pingcnt=runtime+1+(clientcnt/5)
IF %runtime% LEQ 0 SET /A pingcnt=0
ECHO Ping count: %pingcnt%
IF %clientcnt% LEQ 0 GOTO :END
:LOOP
START cmd /k "C:\OpenJDK\jdk-11.0.1\bin\java.exe -jar" Objects\Client_NonUI.jar %clientcnt% t:%runtime% s:%sleeptime% %applyfix%
SET /A clientcnt-=1
IF %clientcnt% GTR 0 GOTO :LOOP
ECHO:
IF %pingcnt% LEQ 0 GOTO :END
ECHO Waiting for test clients to finish...
::https://ss64.com/nt/ping.html
ECHO %pingcnt%
Ping -n %pingcnt% 127.0.0.1>nul
:END